org.apache.http.impl.conn

## Class ProxySelectorRoutePlanner

- java.lang.Object
- - org.apache.http.impl.conn.ProxySelectorRoutePlanner

- All Implemented Interfaces:
    HttpRoutePlanner

  已过时。
  （4.3）使用`SystemDefaultRoutePlanner`

      @Deprecated
      public class ProxySelectorRoutePlanner
      extends Object
      implements HttpRoutePlanner

  默认实现一个`HttpRoutePlanner` 。 此实现基于`ProxySelector` 。 默认情况下，它将从系统属性或运行应用程序的浏览器中获取JVM的代理设置。 另外，它解释了一些`parameters` ，虽然不是`DEFAULT_PROXY` 。

  以下参数可用于自定义此类的行为：

  - `ConnRoutePNames.LOCAL_ADDRESS`
  - `ConnRoutePNames.FORCED_ROUTE`
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ProxySelector` | `proxySelector` 已过时。 代理选择器使用，或 `null`系统默认。
    `protected SchemeRegistry` | `schemeRegistry` 已过时。 方案注册表。

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `ProxySelectorRoutePlanner(SchemeRegistry schreg, ProxySelector prosel)` 已过时。 创建一个新的代理选择器路由规划器。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Proxy` | `chooseProxy(List<Proxy> proxies, HttpHost target, HttpRequest request, HttpContext context)` 已过时。 从可用代理列表中选择一个代理。
    `protected HttpHost` | `determineProxy(HttpHost target, HttpRequest request, HttpContext context)` 已过时。 确定给定目标的代理。
    `HttpRoute` | `determineRoute(HttpHost target, HttpRequest request, HttpContext context)` 已过时。 确定请求的路由。
    `protected String` | `getHost(InetSocketAddress isa)` 已过时。 从`InetSocketAddress`获得主机。
    `ProxySelector` | `getProxySelector()` 已过时。 获取代理选择器以使用。
    `void` | `setProxySelector(ProxySelector prosel)` 已过时。 设置代理选择器使用。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### schemeRegistry

          protected final SchemeRegistry schemeRegistry

      已过时。
      方案注册表。

    - #### proxySelector

          protected ProxySelector proxySelector

      已过时。
      代理选择器使用，或 `null`系统默认。

  - ### 构造方法详细信息

    - #### ProxySelectorRoutePlanner

          public ProxySelectorRoutePlanner(SchemeRegistry schreg,
                                   ProxySelector prosel)

      已过时。
      创建一个新的代理选择器路由规划器。
      参数
        `schreg` - 方案注册表
        `prosel` - 代理选择器，或 `null`作为系统默认值

  - ### 方法详细信息

    - #### getProxySelector

          public ProxySelector getProxySelector()

      已过时。
      获取代理选择器以使用。
      结果
        代理选择器，或 `null`作为系统默认值

    - #### setProxySelector

          public void setProxySelector(ProxySelector prosel)

      已过时。
      设置代理选择器使用。
      参数
        `prosel` - 代理选择器，或 `null`使用系统默认值

    - #### determineRoute

          public HttpRoute determineRoute(HttpHost target,
                                 HttpRequest request,
                                 HttpContext context)
                                   throws HttpException

      已过时。
      描述从接口`HttpRoutePlanner`复制
      确定请求的路由。
      Specified by:
        `determineRoute`在接口 `HttpRoutePlanner`
      参数
        `target` - 请求的目标主机。 如果他们仍然可以确定路由，例如到默认目标或通过检查请求，那么实现可以接受`null` 。
        `request` - 执行请求
        `context` - 用于后续执行的上下文。 实施可接受`null` 。
      结果
        请求应该采用的路由
      异常
        `HttpException` - 出现问题时

    - #### determineProxy

          protected HttpHost determineProxy(HttpHost target,
                                HttpRequest request,
                                HttpContext context)
                                     throws HttpException

      已过时。
      确定给定目标的代理。
      参数
        `target` - 计划目标，从不 `null`
        `request` - 要发送的请求，从不 `null`
        `context` - 上下文，或 `null`
      结果
        代理使用，或 `null`直接路由
      异常
        `HttpException` - 在无法处理的系统代理设置的情况下

    - #### getHost

          protected String getHost(InetSocketAddress isa)

      已过时。
      从`InetSocketAddress`获得主机。
      参数
        `isa` - 套接字地址
      结果
        主机字符串，作为符号名称或字面IP地址字符串

        （TODO：确定IPv6地址的格式，有或没有[括号]）

    - #### chooseProxy

          protected Proxy chooseProxy(List<Proxy> proxies,
                          HttpHost target,
                          HttpRequest request,
                          HttpContext context)

      已过时。
      从可用代理列表中选择一个代理。 默认实现只是从列表中选择第一个非SOCKS代理。 如果只有SOCKS代理，则返回`Proxy.NO_PROXY` 。 派生类可以实现更高级的策略，如代理轮换，如果有多个选项。
      参数
        `proxies` - 可供选择的代理列表，从不 `null`或空
        `target` - 计划目标，从不 `null`
        `request` - 要发送的请求，从不 `null`
        `context` - 上下文，或 `null`
      结果
        代理类型

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585